function xd=diffir(x,Fs)

% A length N=231 Remez differentiator with filtering procedure
% for long length data > (N-1)*3+1
% Fs - Sampling frequency
%
%  2011 Michael Feldman
% For use with the book "HILBERT TRANSFORM APPLICATION
% IN MECHANICAL VIBRATION", John Wiley & Sons, 2011

N=231-1;

h=firpm(N,[0 0.96],[0 0.96*pi*Fs],'d');

n=ceil((N+1)/2);
l=length(x); a=1;
b=h(:); x=x(:);
xH=filter(b,a,x);
xH=xH(n:l-n-1);
xb=x(l:-1:l-3*N);
xHb=-filter(b,a,xb);
xHb=xHb(3*N:-1:n);
xd=[xH; xHb(3*N+2-3*n:3*N-n+1)];

     