function xf=ilpf(x,fp)
% An ideal lowpass filter with perfect nulls in the frequency response 
% and with filtering procedure; for short and long data length 
% fp - Filter cutoff frequency (0>fp>0.5)
%
%  2011 Michael Feldman   
% For use with the book "HILBERT TRANSFORM APPLICATION 
% IN MECHANICAL VIBRATION", John Wiley & Sons, 2011
%

x(:);

% Obtain the mean of the data:
M = mean(x);
x1 = x - M;

% Create a timeseries object 
% Specify a time vector that ranges from 1 to length(x) intervals. 
x2 = timeseries(x1,1:length(x1));

% Enter the frequency interval for filtering the data:
interval=[0  fp ];

% Invoke an ideal pass filter:
xf = idealfilter(x2,interval,'pass');
x3 = xf.data;
x3=x3(:);
xf=x3+M;

